<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>SE Code of Ethics</title>
</head>
<body>
	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
	<hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
	<hr>
	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>
	<h3>PREAMBLE</h3>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses
	that are included in the full version give examples and details of how these aspirations change the
	way we act as software engineering professionals. Without the aspirations, the details can become
	legalistic and tedious; without the details, the aspirations can become high-sounding but empty;
	together, the aspirations and the details from a cohesive code.</p>

	<p>Software engineers shall commit themselves to making the analysis, specification, design,
	development, testing, and maintenance of software a beneficial and respected profession. In
	accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight principles:</p>

	<h3>PRINCIPLES</h3>
	<ol>
		<li><em>Public.</em> Software engineers shall act with the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall act in a manner that it is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integreity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in the lifelong learning regarding the practice of theri profession and shall promote an ethical approach to the practice of the profession.</li>
		
	</ol>
</body>
</html>